gi-gtk4-4.0.12: Gtk 4.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.OverlayLayoutChild

Contents

- Exported types
- Methods
  - getClipOverlay
  - getMeasure
  - setClipOverlay
  - setMeasure
- Properties
  - clipOverlay
  - measure

Description

`GtkLayoutChild` subclass for children in a `GtkOverlayLayout`.

Synopsis

- newtype OverlayLayoutChild = OverlayLayoutChild (ManagedPtr OverlayLayoutChild)
- class (GObject o, IsDescendantOf OverlayLayoutChild o) => IsOverlayLayoutChild o
- toOverlayLayoutChild :: (MonadIO m, IsOverlayLayoutChild o) => o -> m OverlayLayoutChild
- overlayLayoutChildGetClipOverlay :: (HasCallStack, MonadIO m, IsOverlayLayoutChild a) => a -> m Bool
- overlayLayoutChildGetMeasure :: (HasCallStack, MonadIO m, IsOverlayLayoutChild a) => a -> m Bool
- overlayLayoutChildSetClipOverlay :: (HasCallStack, MonadIO m, IsOverlayLayoutChild a) => a -> Bool -> m ()
- overlayLayoutChildSetMeasure :: (HasCallStack, MonadIO m, IsOverlayLayoutChild a) => a -> Bool -> m ()
- constructOverlayLayoutChildClipOverlay :: (IsOverlayLayoutChild o, MonadIO m) => Bool -> m (GValueConstruct o)
- getOverlayLayoutChildClipOverlay :: (MonadIO m, IsOverlayLayoutChild o) => o -> m Bool
- setOverlayLayoutChildClipOverlay :: (MonadIO m, IsOverlayLayoutChild o) => o -> Bool -> m ()
- constructOverlayLayoutChildMeasure :: (IsOverlayLayoutChild o, MonadIO m) => Bool -> m (GValueConstruct o)
- getOverlayLayoutChildMeasure :: (MonadIO m, IsOverlayLayoutChild o) => o -> m Bool
- setOverlayLayoutChildMeasure :: (MonadIO m, IsOverlayLayoutChild o) => o -> Bool -> m ()

# Exported types

newtype OverlayLayoutChild Source #

Memory-managed wrapper type.

Constructors

OverlayLayoutChild (ManagedPtr OverlayLayoutChild) |

#### Instances

Instances details

Eq OverlayLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.OverlayLayoutChild Methods (==) :: OverlayLayoutChild -> OverlayLayoutChild -> Bool Source # (/=) :: OverlayLayoutChild -> OverlayLayoutChild -> Bool Source #
GObject OverlayLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.OverlayLayoutChild
ManagedPtrNewtype OverlayLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.OverlayLayoutChild Methods toManagedPtr :: OverlayLayoutChild -> ManagedPtr OverlayLayoutChild Source #
TypedObject OverlayLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.OverlayLayoutChild Methods glibType :: IO GType Source #
HasParentTypes OverlayLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.OverlayLayoutChild
IsGValue (Maybe OverlayLayoutChild) Source # | Convert `OverlayLayoutChild` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.OverlayLayoutChild Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe OverlayLayoutChild -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe OverlayLayoutChild) Source #
type ParentTypes OverlayLayoutChild Source # |
Instance details Defined in GI.Gtk.Objects.OverlayLayoutChild type ParentTypes OverlayLayoutChild = '[LayoutChild, Object]

class (GObject o, IsDescendantOf OverlayLayoutChild o) => IsOverlayLayoutChild o Source #

Type class for types which can be safely cast to `OverlayLayoutChild`, for instance with `toOverlayLayoutChild`.

#### Instances

Instances details

(GObject o, IsDescendantOf OverlayLayoutChild o) => IsOverlayLayoutChild o Source # |
Instance details Defined in GI.Gtk.Objects.OverlayLayoutChild

toOverlayLayoutChild :: (MonadIO m, IsOverlayLayoutChild o) => o -> m OverlayLayoutChild Source #

Cast to `OverlayLayoutChild`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getChildWidget, getClipOverlay, getData, getLayoutManager, getMeasure, getProperty, getQdata.

#### Setters

setClipOverlay, setData, setDataFull, setMeasure, setProperty.

## getClipOverlay

overlayLayoutChildGetClipOverlay Source #

Arguments

:: (HasCallStack, MonadIO m, IsOverlayLayoutChild a) |
=> a | `child`: a `GtkOverlayLayoutChild`
-> m Bool | Returns: whether the child is clipped

Retrieves whether the child is clipped.

## getMeasure

overlayLayoutChildGetMeasure Source #

Arguments

:: (HasCallStack, MonadIO m, IsOverlayLayoutChild a) |
=> a | `child`: a `GtkOverlayLayoutChild`
-> m Bool | Returns: whether the child is measured

Retrieves whether the child is measured.

## setClipOverlay

overlayLayoutChildSetClipOverlay Source #

Arguments

:: (HasCallStack, MonadIO m, IsOverlayLayoutChild a) |
=> a | `child`: a `GtkOverlayLayoutChild`
-> Bool | `clipOverlay`: whether to clip this child
-> m () |

Sets whether to clip this child.

## setMeasure

overlayLayoutChildSetMeasure Source #

Arguments

:: (HasCallStack, MonadIO m, IsOverlayLayoutChild a) |
=> a | `child`: a `GtkOverlayLayoutChild`
-> Bool | `measure`: whether to measure this child
-> m () |

Sets whether to measure this child.

# Properties

## clipOverlay

Whether the child should be clipped to fit the parent's size.

constructOverlayLayoutChildClipOverlay :: (IsOverlayLayoutChild o, MonadIO m) => Bool -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`clip-overlay`” property. This is rarely needed directly, but it is used by `new`.

getOverlayLayoutChildClipOverlay :: (MonadIO m, IsOverlayLayoutChild o) => o -> m Bool Source #

Get the value of the “`clip-overlay`” property. When overloading is enabled, this is equivalent to

    get overlayLayoutChild #clipOverlay

setOverlayLayoutChildClipOverlay :: (MonadIO m, IsOverlayLayoutChild o) => o -> Bool -> m () Source #

Set the value of the “`clip-overlay`” property. When overloading is enabled, this is equivalent to

    set overlayLayoutChild [ #clipOverlay := value ]

## measure

Whether the child size should contribute to the `GtkOverlayLayout`'s measurement.

constructOverlayLayoutChildMeasure :: (IsOverlayLayoutChild o, MonadIO m) => Bool -> m (GValueConstruct o) Source #

Construct a `GValueConstruct` with valid value for the “`measure`” property. This is rarely needed directly, but it is used by `new`.

getOverlayLayoutChildMeasure :: (MonadIO m, IsOverlayLayoutChild o) => o -> m Bool Source #

Get the value of the “`measure`” property. When overloading is enabled, this is equivalent to

    get overlayLayoutChild #measure

setOverlayLayoutChildMeasure :: (MonadIO m, IsOverlayLayoutChild o) => o -> Bool -> m () Source #

Set the value of the “`measure`” property. When overloading is enabled, this is equivalent to

    set overlayLayoutChild [ #measure := value ]